NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Member Functions | Properties | List of all members
NXOpen.Routing.EditPlacePartBuilder Class Reference

More...

Inheritance diagram for NXOpen.Routing.EditPlacePartBuilder:
NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Member Functions

unsafe void FinalizePlacementForScrewSeat (NXOpen.TaggedObject startPointId, NXOpen.TaggedObject endPointId, NXOpen.Point3d alignStartPoint, NXOpen.Point3d alignEndPoint, NXOpen.Expression length, NXOpen.Expression angle, NXOpen.Vector3d alignVector, NXOpen.TaggedObject screwSeatInstance, NXOpen.TaggedObject target)
 Places a screw measurement holder seat part onto a target object by locating and constraining by the given parameters. More...
 
unsafe NXOpen.Expression GetScrewSeatAngle ()
 Gets the angle expression to be used for screw seat placement along a placed object. More...
 
unsafe NXOpen.Expression GetScrewSeatLength ()
 Gets the length expression to be used for screw seat placement along a placed object. More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe
NXOpen.SelectTaggedObjectList 
SelectedPart [get]
 Returns the target body to edit part placement More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

To create a new instance of this class, use NXOpen.Routing.RouteManager.CreateEditPlacePartBuilder

Created in NX10.0.0

Member Function Documentation

unsafe void NXOpen.Routing.EditPlacePartBuilder.FinalizePlacementForScrewSeat ( NXOpen.TaggedObject  startPointId,
NXOpen.TaggedObject  endPointId,
NXOpen.Point3d  alignStartPoint,
NXOpen.Point3d  alignEndPoint,
NXOpen.Expression  length,
NXOpen.Expression  angle,
NXOpen.Vector3d  alignVector,
NXOpen.TaggedObject  screwSeatInstance,
NXOpen.TaggedObject  target 
)
inline

Places a screw measurement holder seat part onto a target object by locating and constraining by the given parameters.

Created in NX10.0.0

License requirements: routing_base ("Routing Basic")

Parameters
startPointIdThe starting input point
endPointIdThe end input point
alignStartPointThe starting point to align screw seat fixture port at
alignEndPointThe ending point to align screw seat fixture port at
lengthThe length along target to place screw seat
angleThe angle along target to place screw seat
alignVectorThe align vector along which to position screw seat
screwSeatInstanceThe screw seat instance to constrain to
targetThe target object to constrain to
unsafe NXOpen.Expression NXOpen.Routing.EditPlacePartBuilder.GetScrewSeatAngle ( )
inline

Gets the angle expression to be used for screw seat placement along a placed object.

Created in NX10.0.0

License requirements: routing_base ("Routing Basic")

Returns
The angle used for screw seat placement on placed routing object.
unsafe NXOpen.Expression NXOpen.Routing.EditPlacePartBuilder.GetScrewSeatLength ( )
inline

Gets the length expression to be used for screw seat placement along a placed object.

Created in NX10.0.0

License requirements: routing_base ("Routing Basic")

Returns
The length used for screw seat placement on placed routing object.

Property Documentation

unsafe NXOpen.SelectTaggedObjectList NXOpen.Routing.EditPlacePartBuilder.SelectedPart
get

Returns the target body to edit part placement

Created in NX10.0.0

License requirements: routing_base ("Routing Basic")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.